### Method

# Gdk Dropread_value_async

#### Declaration [src]

    void
    gdk_drop_read_value_async (
      GdkDrop* self,
      GType type,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the drag operation’s contents converted to the given `type`.

When the operation is finished `callback` will be called. You must then call `gdk_drop_read_value_finish()` to get the resulting `GValue`.

For local drag-and-drop operations that are available in the given `GType`, the value will be copied directly. Otherwise, GDK will try to use `gdk_content_deserialize_async()` to convert the data.

#### Parameters

`type`

  Type: `GType`

  A `GType` to read.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.